<?php
    class Empleado {
        private $idEmpleado;
        private $nombreEmpleado;
        private $apellidoEmpleado;
        private $localEmpleado;
        private $areaEmpleado;
        private $estadoEmpleado;

        // Constructor
        public function __construct($idEmpleado, $nombreEmpleado, $apellidoEmpleado, $localEmpleado, $areaEmpleado, $estadoEmpleado) {
            $this->idEmpleado      = $idEmpleado;
            $this->nombreEmpleado  = $nombreEmpleado;
            $this->apellidoEmpleado = $apellidoEmpleado;
            $this->localEmpleado   = $localEmpleado;
            $this->areaEmpleado    = $areaEmpleado;
            $this->estadoEmpleado  = $estadoEmpleado;
        }

        // Getters y Setters
        public function getIdEmpleado() { return $this->idEmpleado; }
        public function setIdEmpleado($id) { $this->idEmpleado = $id; }

        public function getNombreEmpleado() { return $this->nombreEmpleado; }
        public function setNombreEmpleado($nombre) { $this->nombreEmpleado = $nombre; }

        public function getApellidoEmpleado() { return $this->apellidoEmpleado; }
        public function setApellidoEmpleado($apellido) { $this->apellidoEmpleado = $apellido; }

        public function getLocalEmpleado() { return $this->localEmpleado; }
        public function setLocalEmpleado($local) { $this->localEmpleado = $local; }

        public function getAreaEmpleado() { return $this->areaEmpleado; }
        public function setAreaEmpleado($area) { $this->areaEmpleado = $area; }

        public function getEstadoEmpleado() { return $this->estadoEmpleado; }
        public function setEstadoEmpleado($estado) { $this->estadoEmpleado = $estado; }
    }
?>
